/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 * 
 * (C) Copyright IBM Corp. 2011 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
/* IBM_COPYRIGHT_END */

/* 
 * Licensed Materials - Property of IBM
 * 
 * TIVOTCT00
 * 
 * Restricted Materials of IBM
 * 
 * Copyright IBM Corp. 2011, 2012 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with 
 * IBM Corp. 
 */

dojo.provide("navwidget.topology.dijit.ResExpMenuProviderHelper");

dojo.require("ibm.tivoli.tip.navwidget.topology.dijit.MenuProviderHelper");
dojo.require("ibm.tivoli.tip.navwidget.topology.dijit.MenuProviderHelperBase");




dojo.declare("navwidget.topology.dijit.ResExpMenuProviderHelper", [ibm.tivoli.tip.navwidget.topology.dijit.MenuProviderHelperBase], 
{		
	
	getMenuItems: function(/*Object*/ context) {		
		// summary:
		//		Coming soon
		// description:
		//		Coming soon
		// context:
		//		Coming soon
		var items = this.inherited(arguments);
		
		// Note: Add code here to add JSON menu item objects (for our built-in actions) to items
		// Example: 
		//    items.push( { "actionID":"someUniqueID",
		//                  "label":"someLabelForTheItem",
		//                  "launchType":"NOOP" } );
		// Note: For globalization, the label will need to be loaded from a resource bundle.
		//       Also, setting launchType to NOOP is optional, but may simplify code in
		//       getMenuCommand (see below)
		
		
		//The PropertiesNotebook should not be displayed unless only a single item is selected
		//first check the context to make sure multiple items are not selected
		//checks if only one item or link
		var selectedObjects = context.selection;
//KENNY		if(( selectedObjects.getItemCount() + selectedObjects.getLinkCount() + selectedObjects.getRelationshipCount()) == 1){
				
			//Add the PropertiesNotebook to the Menu list of items
//KENNY			items.push(
//KENNY					{ 
//KENNY					  "actionID": "_separator_" 
//KENNY					},
//KENNY					{ "actionID": "nwmi_PropertiesNotebookDialog",
//KENNY					  "label": this._resources.PROPERTIES,
//KENNY					  "launchType":"NOOP"
//KENNY					}			
//KENNY				  );		
//KENNY		} else {

			//Get Default Actions for this specific view
			var tasks = context.getViewSpecificTasks();
			if (tasks) {
				items.push(
						{ 
						  "actionID": "_separator_",
						  "launchType":"VIEW_COMMAND"
						});		
				for (var i=0;i<tasks.length;i++) {			
					items.push(
							{ "actionID": tasks[i][0],
							  "label": tasks[i][1],
						 	 "launchType":tasks[i][2]
							}			
				  		);
				}
			}		
//KENNY		}	

		return items;
	}
});
