/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 * 
 * (C) Copyright IBM Corp. 2011 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
/* IBM_COPYRIGHT_END */

/* 
 * Licensed Materials - Property of IBM
 * 
 * TIVOTCT00
 * 
 * Restricted Materials of IBM
 * 
 * Copyright IBM Corp. 2011, 2012 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with 
 * IBM Corp. 
 */

dojo.provide("resexp.ResExplorerPropertiesView");

dojo.require("dijit.dijit");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("ibm.tivoli.tip.dijit.BusyPane");
dojo.require("ibm.tivoli.navmodel.Trace");
dojo.require("dojox.data.dom");
dojo.require("ibm.tivoli.tip.navwidget.dijit.NavWidgetObjectPluggableView");
dojo.require("ibm.tivoli.tip.navwidget.properties.PropertyRenderer");
dojo.require("ibm.tivoli.tip.navwidget.dijit.NavWidgetPluggableView");
dojo.require("ibm.tivoli.tip.navwidget.dijit.NavWidgetTabContainerObjectPluggableView");
dojo.requireLocalization("resexp", "resources");


dojo.declare("resexp.ResExplorerPropertiesView",
		[dijit.layout.BorderContainer],
    
	{		
		constructor: function () {	
			this._resExplorerResources = dojo.i18n.getLocalization("resexp", "resources");
			//Call superclass
			this.inherited(arguments);
		},

		postCreate: function(){		
			var msg = this._resExplorerResources.PropetyViewInfoMessage;
			//Call superclass
			this.inherited(arguments);
		}	
		
	
});